<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="Roboto-Medium.ttf">
            <string>Roboto-Medium</string>
        </array>
        <array key="Roboto-Regular.ttf">
            <string>Roboto-Regular</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <collectionViewCell opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" id="gTV-IL-0wX" customClass="CellCollectionViewProduct" customModule="_SK" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="164" height="210"/>
            <autoresizingMask key="autoresizingMask"/>
            <view key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center">
                <rect key="frame" x="0.0" y="0.0" width="164" height="210"/>
                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                <subviews>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="HQn-ct-7M2">
                        <rect key="frame" x="0.0" y="0.0" width="164" height="210"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="ycT-9i-pQq">
                                <rect key="frame" x="0.0" y="0.0" width="164" height="126"/>
                                <color key="backgroundColor" white="0.0" alpha="0.041792913777938742" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="ycT-9i-pQq" secondAttribute="height" multiplier="164:126" id="J6Y-6J-SGE"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                        <real key="value" value="12"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                            </imageView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="F32-AZ-rDl">
                                <rect key="frame" x="128" y="0.0" width="20" height="23"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_sale_product" translatesAutoresizingMaskIntoConstraints="NO" id="W9L-Uf-iuA">
                                        <rect key="frame" x="0.0" y="0.0" width="20" height="23"/>
                                        <constraints>
                                            <constraint firstAttribute="width" secondItem="W9L-Uf-iuA" secondAttribute="height" multiplier="20:23" id="7x7-zv-rzK"/>
                                        </constraints>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0%" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="TOW-0T-Zef">
                                        <rect key="frame" x="0.0" y="7.5" width="20" height="8.5"/>
                                        <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="7"/>
                                        <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <constraints>
                                    <constraint firstItem="TOW-0T-Zef" firstAttribute="centerY" secondItem="F32-AZ-rDl" secondAttribute="centerY" id="027-nD-dya"/>
                                    <constraint firstItem="W9L-Uf-iuA" firstAttribute="top" secondItem="F32-AZ-rDl" secondAttribute="top" id="4Vz-R9-HQC"/>
                                    <constraint firstAttribute="trailing" secondItem="TOW-0T-Zef" secondAttribute="trailing" id="DQf-lK-Ot5"/>
                                    <constraint firstItem="TOW-0T-Zef" firstAttribute="leading" secondItem="F32-AZ-rDl" secondAttribute="leading" id="FM6-tY-COP"/>
                                    <constraint firstAttribute="bottom" secondItem="W9L-Uf-iuA" secondAttribute="bottom" id="Hly-6p-1Hi"/>
                                    <constraint firstItem="W9L-Uf-iuA" firstAttribute="leading" secondItem="F32-AZ-rDl" secondAttribute="leading" id="pJp-Df-5Gr"/>
                                    <constraint firstAttribute="trailing" secondItem="W9L-Uf-iuA" secondAttribute="trailing" id="xSF-T9-2Ya"/>
                                </constraints>
                            </view>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label Label Label Label Label Label Label Label " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="prB-Rf-bn6">
                                <rect key="frame" x="0.0" y="131" width="164" height="33"/>
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <stackView opaque="NO" contentMode="scaleToFill" distribution="fillEqually" spacing="3" translatesAutoresizingMaskIntoConstraints="NO" id="On4-Sa-Wgx">
                                <rect key="frame" x="0.0" y="172" width="164" height="16.5"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="000.000đ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="rYs-VU-2te">
                                        <rect key="frame" x="0.0" y="0.0" width="80.5" height="16.5"/>
                                        <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                        <color key="textColor" name="mainColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="000.000đ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="U33-gf-94B">
                                        <rect key="frame" x="83.5" y="0.0" width="80.5" height="16.5"/>
                                        <fontDescription key="fontDescription" name="Roboto-Regular" family="Roboto" pointSize="12"/>
                                        <color key="textColor" white="0.66666666666666663" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                            </stackView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="UpL-6Z-4bW" customClass="CosmosView" customModule="Cosmos">
                                <rect key="frame" x="0.0" y="193.5" width="70" height="11"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="11" id="gez-5D-iA1"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="rating">
                                        <real key="value" value="3"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="number" keyPath="totalStars">
                                        <integer key="value" value="5"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="number" keyPath="starSize">
                                        <real key="value" value="10"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="image" keyPath="emptyImage" value="ic_star_empty_product"/>
                                    <userDefinedRuntimeAttribute type="image" keyPath="filledImage" value="ic_star_filled_product"/>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="updateOnTouch" value="NO"/>
                                </userDefinedRuntimeAttributes>
                            </view>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="UpL-6Z-4bW" firstAttribute="top" secondItem="On4-Sa-Wgx" secondAttribute="bottom" constant="5" id="0o8-ZC-GIv"/>
                            <constraint firstAttribute="trailing" secondItem="F32-AZ-rDl" secondAttribute="trailing" constant="16" id="2qj-Bd-a0t"/>
                            <constraint firstItem="prB-Rf-bn6" firstAttribute="top" secondItem="ycT-9i-pQq" secondAttribute="bottom" constant="5" id="8p9-bm-2Eg"/>
                            <constraint firstAttribute="trailing" secondItem="ycT-9i-pQq" secondAttribute="trailing" id="Oi4-dL-7Ld"/>
                            <constraint firstItem="F32-AZ-rDl" firstAttribute="top" secondItem="HQn-ct-7M2" secondAttribute="top" id="T5a-01-kl9"/>
                            <constraint firstAttribute="trailing" secondItem="prB-Rf-bn6" secondAttribute="trailing" id="eHg-oK-dn9"/>
                            <constraint firstItem="UpL-6Z-4bW" firstAttribute="leading" secondItem="HQn-ct-7M2" secondAttribute="leading" id="eJt-7c-nEb"/>
                            <constraint firstItem="ycT-9i-pQq" firstAttribute="top" secondItem="HQn-ct-7M2" secondAttribute="top" id="eKD-cl-xl7"/>
                            <constraint firstItem="On4-Sa-Wgx" firstAttribute="top" secondItem="prB-Rf-bn6" secondAttribute="bottom" constant="8" id="j4P-TZ-B2l"/>
                            <constraint firstItem="ycT-9i-pQq" firstAttribute="leading" secondItem="HQn-ct-7M2" secondAttribute="leading" id="lFF-lc-Fci"/>
                            <constraint firstItem="prB-Rf-bn6" firstAttribute="leading" secondItem="HQn-ct-7M2" secondAttribute="leading" id="p3p-Rt-z6T"/>
                            <constraint firstAttribute="bottom" relation="greaterThanOrEqual" secondItem="UpL-6Z-4bW" secondAttribute="bottom" id="prg-XB-yTT"/>
                            <constraint firstAttribute="trailing" secondItem="On4-Sa-Wgx" secondAttribute="trailing" id="tXE-up-4a5"/>
                            <constraint firstItem="On4-Sa-Wgx" firstAttribute="leading" secondItem="HQn-ct-7M2" secondAttribute="leading" id="vZQ-fd-lzb"/>
                        </constraints>
                    </view>
                </subviews>
            </view>
            <viewLayoutGuide key="safeArea" id="ZTg-uK-7eu"/>
            <constraints>
                <constraint firstAttribute="bottom" secondItem="HQn-ct-7M2" secondAttribute="bottom" id="9y3-ph-MFD"/>
                <constraint firstItem="HQn-ct-7M2" firstAttribute="top" secondItem="gTV-IL-0wX" secondAttribute="top" id="KPM-2V-kxD"/>
                <constraint firstItem="HQn-ct-7M2" firstAttribute="leading" secondItem="gTV-IL-0wX" secondAttribute="leading" id="Pyt-Yf-8Bh"/>
                <constraint firstAttribute="trailing" secondItem="HQn-ct-7M2" secondAttribute="trailing" id="rTd-6x-crb"/>
            </constraints>
            <size key="customSize" width="164" height="221"/>
            <connections>
                <outlet property="img_Image" destination="ycT-9i-pQq" id="Ipc-rU-XWB"/>
                <outlet property="lbl_Price" destination="rYs-VU-2te" id="0xO-JL-TWN"/>
                <outlet property="lbl_PriceOld" destination="U33-gf-94B" id="jez-XV-o0B"/>
                <outlet property="lbl_Sale" destination="TOW-0T-Zef" id="JFS-VB-BBe"/>
                <outlet property="lbl_Title" destination="prB-Rf-bn6" id="bKt-75-5j6"/>
                <outlet property="view_Rate" destination="UpL-6Z-4bW" id="8ih-Qy-jY6"/>
                <outlet property="view_Sale" destination="F32-AZ-rDl" id="I1K-yp-fwI"/>
            </connections>
            <point key="canvasLocation" x="352" y="59"/>
        </collectionViewCell>
    </objects>
    <designables>
        <designable name="UpL-6Z-4bW">
            <size key="intrinsicContentSize" width="70" height="10"/>
        </designable>
    </designables>
    <resources>
        <image name="ic_sale_product" width="20" height="23"/>
        <image name="ic_star_empty_product" width="8" height="8"/>
        <image name="ic_star_filled_product" width="8" height="8"/>
        <namedColor name="mainColor">
            <color red="0.0" green="0.76078431372549016" blue="0.77254901960784317" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
